## kbibtex 0.10.0+p24.04+vstable+git20251028.0244

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7.2)

if(POLICY CMP0048)
    cmake_policy(SET CMP0048 NEW)
endif(POLICY CMP0048)

project(
    kbibtex
    VERSION 0.10.0
    LANGUAGES CXX
)

set(CMAKE_CXX_STANDARD 11)
set(QT_MIN_VERSION 5.9.0)
# Somewhat arbitrary chosen version number ...
set(KF5_MIN_VERSION 5.51)
find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)

set(
    CMAKE_MODULE_PATH
    ${ECM_MODULE_PATH}
    ${ECM_KDE_MODULE_DIR}
    ${CMAKE_MODULE_PATH}
)

set(KDE_INSTALL_DIRS_NO_DEPRECATED TRUE)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMGenerateHeaders)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddAppIcon)
include(GenerateExportHeader)
include(ECMQtDeclareLoggingCategory)

ecm_setup_version(
    PROJECT
    VARIABLE_PREFIX KBIBTEX
    SOVERSION ${KBIBTEX_VERSION_MAJOR}
    VERSION_HEADER "${CMAKE_BINARY_DIR}/kbibtex-version.h"
    PACKAGE_VERSION_FILE "${CMAKE_BINARY_DIR}/KBibTeXConfigVersion.cmake"
)

install(
    FILES ${CMAKE_BINARY_DIR}/kbibtex-version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KBibTeX
    # FIXME is "Devel" standard?
    COMPONENT Devel
)


if("${KBIBTEX_VERSION_PATCH}" STREQUAL "")
    # Patch level is not set for version numbers like "0.9",
    # so set the patch level manually to 0
    set(KBIBTEX_VERSION_PATCH 0)
endif()

if((${KBIBTEX_VERSION_PATCH} GREATER 50) OR (${KBIBTEX_VERSION_PATCH} EQUAL 50))
    # If the version number indicates a pre-release version such as
    # '0.7.90', i.e. a beta version for the major release 0.8,
    # increment release version from 0.7 to 0.8
    math(EXPR KBIBTEX_RELEASE_VERSION_MINOR "${KBIBTEX_VERSION_MINOR} + 1")
    set(
        KBIBTEX_RELEASE_VERSION ${KBIBTEX_VERSION_MAJOR}.${KBIBTEX_RELEASE_VERSION_MINOR}
    )
else()
    set(
        KBIBTEX_RELEASE_VERSION ${KBIBTEX_VERSION_MAJOR}.${KBIBTEX_VERSION_MINOR}
    )
endif()

option(
    UNITY_BUILD
    "Compile multiple C++ files in one big, merged file (\"Unity build\")\nSee also http://t-fischer.dreamwidth.org/3054.html"
)
if(UNITY_BUILD)
    message(STATUS "Unity build enabled")
else(UNITY_BUILD)
    message(STATUS "Unity build disabled (default), use option UNITY_BUILD to enable it")
endif(UNITY_BUILD)

find_package(
    Qt5 ${QT_MIN_VERSION}
    CONFIG
    COMPONENTS
    Core
    Widgets
    Network
    XmlPatterns
    Concurrent
    NetworkAuth
    OPTIONAL_COMPONENTS
    WebEngineWidgets
    WebKitWidgets
    Test
)
add_definitions(-DHAVE_QTWIDGETS)
if(Qt5WebEngineWidgets_FOUND)
    # Once CMake 3.12.x is minimum requirement, use 'add_compile_definitions'
    add_definitions(
        -DHAVE_WEBENGINEWIDGETS
    )
endif()

find_package(
    KF5 ${KF5_MIN_VERSION}
    MODULE
    REQUIRED
    I18n
    XmlGui
    KIO
    IconThemes
    Parts
    CoreAddons
    Service
    Wallet
    Crash
    TextEditor
    OPTIONAL_COMPONENTS
    DocTools
)
add_definitions(-DHAVE_KF5)

find_package(
    Poppler
    MODULE
    REQUIRED
    Qt5
)

find_package(
    ICU
    MODULE
    OPTIONAL_COMPONENTS
    uc i18n
)
if(ICU_FOUND)
    add_definitions(-DHAVE_ICU)
    if(ICU_VERSION GREATER_EQUAL 75)
        # Starting with ICU 75, it makes use of C++17 instead of C++11 before
        set(CMAKE_CXX_STANDARD 17)
    endif()
endif()

option(
    BUILD_TESTING
    "Build automated and interactive tests"
    OFF
)
if (MSVC)
    MESSAGE( STATUS "Disabling building tests when using Microsoft Visual Studio C++ compiler" )
    # Note to any developer: Try to enable building tests and see which issues you may encounter.
    # Examples may include: (1) char* texts which exceed the size limit supported by MSVC which
    # is about 2^16 bytes and (2) characters in strings written in \uXXXX notation not supported
    # in 1252 encoding as assumed by MSVC for C++ source files.
    set(BUILD_TESTING OFF)
endif()
if(NOT BUILD_TESTING AND Qt5Test_FOUND)
    message(STATUS
        "Testing is disabled, but can be enabled as the Qt5::Test library is available"
    )
endif()
if(BUILD_TESTING AND NOT Qt5Test_FOUND)
    message(STATUS
        "Disabling building tests as Qt5::Test library is not available"
    )
    set(BUILD_TESTING OFF)
endif()

if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
    if (WRITE_RAWDATAFILE)
        add_definitions(-DWRITE_RAWDATAFILE)
    endif(WRITE_RAWDATAFILE)

    set(
        TESTSET_DIRECTORY ""
        CACHE PATH
        "Directory where the local checkout of Git repository 'kbibtex-testset' is located"
    )
endif()

if(TESTSET_DIRECTORY AND ( NOT EXISTS "${TESTSET_DIRECTORY}/bib/minix.bib" OR NOT EXISTS "${TESTSET_DIRECTORY}/bib/backslash.bib" ))
    message("Variable TESTSET_DIRECTORY is set to '${TESTSET_DIRECTORY}' but various BibTeX files were not found. Unsetting TESTSET_DIRECTORY.")
    unset(TESTSET_DIRECTORY)
    unset(TESTSET_DIRECTORY CACHE)
endif()


option(
    BUILD_SCIHUB
    "Support fetching PDF files from SciHub"
    ON
)
if(BUILD_SCIHUB)
    add_definitions(-DHAVE_SCIHUB)
endif()


add_subdirectory(
    config
)
add_subdirectory(
    src
)
add_subdirectory(
    xslt
)
add_subdirectory(
    mime
)
if(KF5DocTools_FOUND)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()
# macro_optional_add_subdirectory(
#     po
# )

ki18n_install(po)

if (ECM_VERSION VERSION_GREATER_EQUAL "5.59.0")
    install(FILES kbibtex.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
else()
    install(FILES kbibtex.categories DESTINATION ${KDE_INSTALL_CONFDIR})
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kbibtex (0.10.0+p24.04+vstable+git20251028.0244-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 02:44:15 +0000

=== debian/control ===
Source: kbibtex
Uploaders: Bastien Roucariès <rouca@debian.org>, Pino Toscano <pino@debian.org>
Section: kde
Priority: optional
Build-Depends: chrpath,
               cmake (>= 3.7.2~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.51.0~),
               gettext,
               libicu-dev,
               libkf5coreaddons-dev (>= 5.51.0~),
               libkf5crash-dev (>= 5.51.0~),
               libkf5doctools-dev (>= 5.51.0~),
               libkf5i18n-dev (>= 5.51.0~),
               libkf5iconthemes-dev (>= 5.51.0~),
               libkf5kio-dev (>= 5.51.0~),
               libkf5parts-dev (>= 5.51.0~),
               libkf5service-dev (>= 5.51.0~),
               libkf5syntaxhighlighting-dev,
               libkf5texteditor-dev,
               libkf5wallet-dev,
               libkf5xmlgui-dev,
               libpoppler-qt5-dev,
               libqca-qt5-2-dev,
               libqt5networkauth5-dev,
               libqt5webkit5-dev [!amd64 !arm64 !armhf !i386],
               libqt5xmlpatterns5-dev,
               libxslt1-dev,
               pkg-kde-tools,
               pkgconf,
               qtbase5-dev,
               qtwebengine5-dev (>= 5.9.0~) [amd64 arm64 armhf i386],
               shared-mime-info
Standards-Version: 4.7.0
Homepage: https://userbase.kde.org/KBibTeX
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/forks/kbibtex.git
Vcs-Browser: https://invent.kde.org/neon/forks/kbibtex
Maintainer: Neon CI <neon@kde.org>

Package: kbibtex
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: biber, texlive-bibtex-extra
Suggests: bibtex2html, latex2rtf, texlive-latex-base
Description: BibTeX editor for KDE
 An application to manage bibliography databases in the BibTeX format. KBibTeX
 can be used as a standalone program, but can also be embedded into other KDE
 applications (e.g. as bibliography editor into Kile).
 .
 KBibTeX can query online resources (e.g. Google scholar) via customizable
 search URLs. It is also able to import complete datasets from NCBI Pubmed.
 It also supports tagging references with keywords and manages references to
 local files.
 .
 BibTeX files can be exported into HTML, XML, PDF, PS and RTF format using a
 number of citation styles.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export QT_SELECT:=5

# one ring to rule them all ...
%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

execute_after_dh_auto_install:
	# remove all the development files
	find debian/kbibtex -name '*.so' -type l -delete
	rm -rf debian/kbibtex/usr/lib/*/cmake/
	rm -rf debian/kbibtex/usr/include/
	# drop the spurious RUNPATH
	chrpath -d debian/kbibtex/usr/bin/*
	chrpath -d debian/kbibtex/usr/lib/*/libkbibtex*.so.*
	chrpath -d debian/kbibtex/usr/lib/*/qt5/plugins/kbibtexpart.so

override_dh_auto_test:
	# the unit tests fail ATM
	:

## kbibtex 0.10.0+p24.04+vstable+git20251220.0333

=== debian/changelog ===
kbibtex (0.10.0+p24.04+vstable+git20251220.0333-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 03:34:02 +0000

## kbibtex 0.10.0+p24.04+vstable+git20251231.0508

=== debian/changelog ===
kbibtex (0.10.0+p24.04+vstable+git20251231.0508-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 05:09:01 +0000

## kbibtex 0.10.0+p24.04+vstable+git20260107.0738

=== debian/changelog ===
kbibtex (0.10.0+p24.04+vstable+git20260107.0738-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 07:38:59 +0000

## kbibtex 0.10.0+p24.04+vstable+git20260113.0333

=== debian/changelog ===
kbibtex (0.10.0+p24.04+vstable+git20260113.0333-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 03:33:40 +0000

## kbibtex 0.10.0+p24.04+vunstable+git20251111.0019

=== CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
# SPDX-FileCopyrightText: 2008-2025 Thomas Fischer <fischer@unix-ag.uni-kl.de>
# SPDX-FileContributor: 2013-2021 Pino Toscano <pino@kde.org>
# SPDX-FileContributor: 2014-2021 Yuri Chornoivan <yurchor@ukr.net>
# SPDX-FileContributor: 2015-2021 David Faure <faure@kde.org>
# SPDX-FileContributor: 2016-2021 Andreas Sturmlechner <andreas.sturmlechner@gmail.com>

cmake_minimum_required(VERSION 3.16.0 FATAL_ERROR)

project(
    kbibtex
    VERSION 0.10.50
    LANGUAGES CXX
)

if (QT_MAJOR_VERSION GREATER_EQUAL 6)
    set(QT_MIN_VERSION "6.6.0")
    set(KF_MIN_VERSION "6.0.0")
else()
    set(QT_MIN_VERSION "5.14.0")
    set(KF_MIN_VERSION "5.90")
endif()

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

set(
    CMAKE_MODULE_PATH
    ${ECM_MODULE_PATH}
    ${CMAKE_MODULE_PATH}
)
set(KDE_COMPILERSETTINGS_LEVEL ${KF_MIN_VERSION})

set(KDE_INSTALL_DIRS_NO_DEPRECATED TRUE)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMGenerateHeaders)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddAppIcon)
include(GenerateExportHeader)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)

ecm_setup_version(
    PROJECT
    VARIABLE_PREFIX KBIBTEX
    SOVERSION ${KBIBTEX_VERSION_MAJOR}
    VERSION_HEADER "${CMAKE_BINARY_DIR}/kbibtex-version.h"
    PACKAGE_VERSION_FILE "${CMAKE_BINARY_DIR}/KBibTeXConfigVersion.cmake"
)

ecm_set_disabled_deprecation_versions(
    QT ${QT_MIN_VERSION}
    KF ${KF_MIN_VERSION}
)

install(
    FILES ${CMAKE_BINARY_DIR}/kbibtex-version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KBibTeX
    # FIXME is "Devel" standard?
    COMPONENT Devel
)


if("${KBIBTEX_VERSION_PATCH}" STREQUAL "")
    # Patch level is not set for version numbers like "0.9",
    # so set the patch level manually to 0
    set(KBIBTEX_VERSION_PATCH 0)
endif()

if((${KBIBTEX_VERSION_PATCH} GREATER 50) OR (${KBIBTEX_VERSION_PATCH} EQUAL 50))
    # If the version number indicates a pre-release version such as
    # '0.7.90', i.e. a beta version for the major release 0.8,
    # increment release version from 0.7 to 0.8
    math(EXPR KBIBTEX_RELEASE_VERSION_MINOR "${KBIBTEX_VERSION_MINOR} + 1")
    set(
        KBIBTEX_RELEASE_VERSION ${KBIBTEX_VERSION_MAJOR}.${KBIBTEX_RELEASE_VERSION_MINOR}
    )
else()
    set(
        KBIBTEX_RELEASE_VERSION ${KBIBTEX_VERSION_MAJOR}.${KBIBTEX_VERSION_MINOR}
    )
endif()

option(
    UNITY_BUILD
    "Compile multiple C++ files in one big, merged file (\"Unity build\")\nSee also https://t-fischer.dreamwidth.org/3054.html"
)
if(UNITY_BUILD)
    message(STATUS "Unity build enabled")
else(UNITY_BUILD)
    message(STATUS "Unity build disabled (default), use option UNITY_BUILD to enable it")
endif(UNITY_BUILD)


option(
    BUILD_APP_DESKTOP
    "Build the desktop app which makes use of widgets"
    ON
)
option(
    BUILD_APP_COMMAND_LINE
    "Build the command line program with minimal dependencies only"
    ON
)
option(
    BUILD_KPART
    "Build KBibTeX's KPart (will be set ON automatically if desktop app is built)"
    OFF
)
if(BUILD_APP_DESKTOP)
    set(BUILD_KPART ON)
endif()

find_package(
    Python
    COMPONENTS
      Interpreter
    REQUIRED
)

if(BUILD_KPART OR BUILD_TESTING)
    find_package(
        Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION}
        CONFIG
        COMPONENTS
        Gui
        Widgets
        Network
        Concurrent
        DBus
        OPTIONAL_COMPONENTS
        NetworkAuth
        WebEngineWidgets
        Test
    )
    if (Qt${QT_MAJOR_VERSION}Widgets_FOUND)
        add_compile_definitions(HAVE_QTWIDGETS)
    endif()
endif()

if(Qt5Core_FOUND OR Qt6Core5Compat_FOUND)
    add_compile_definitions(HAVE_QTEXTCODEC)
endif()

if(Qt${QT_MAJOR_VERSION}NetworkAuth_FOUND)
    add_compile_definitions(HAVE_QTNETWORKAUTH)
    add_compile_definitions(HAVE_ZOTERO)
else()
    message(STATUS "No Qt NetworkAuth found, disabling certain functionality (Zotero)")
endif()

if(Qt${QT_MAJOR_VERSION}WebEngineWidgets_FOUND)
    add_compile_definitions(HAVE_WEBENGINEWIDGETS)
endif()

find_package(
    KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION}
    MODULE
    REQUIRED
    Config
    OPTIONAL_COMPONENTS
    DocTools
)
if(BUILD_KPART OR BUILD_TESTING)
    find_package(
        KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION}
        MODULE
        REQUIRED
        I18n
        KIO
        IconThemes
        CoreAddons
        Wallet
        Crash
        TextEditor
        TextWidgets
        COMPONENTS
        XmlGui
        Parts
    )
endif()
if (KF5_FOUND)
    add_compile_definitions(HAVE_KF5 HAVE_KF)
endif()
if (KF6_FOUND)
    add_compile_definitions(HAVE_KF6 HAVE_KF)
endif()
if (KF${QT_MAJOR_VERSION}I18n_FOUND)
    add_compile_definitions(HAVE_KFI18N)
endif()

find_package(
    Poppler
    COMPONENTS
    Qt${QT_MAJOR_VERSION}
)

if (${Poppler_FOUND})
    add_compile_definitions(HAVE_POPPLERQT${QT_MAJOR_VERSION} HAVE_POPPLERQT)
endif()

find_package(
    ICU
    MODULE
    COMPONENTS
    uc i18n
)

string(REGEX MATCH "^[1-9][0-9]*" ICU_MAJOR_VERSION ${ICU_VERSION})
add_compile_definitions(ICU_MAJOR_VERSION=${ICU_MAJOR_VERSION})
if(ICU_MAJOR_VERSION GREATER_EQUAL 75 AND CMAKE_CXX_STANDARD LESS 17)
    # Starting with ICU 75, it makes use of C++17 instead of C++11 before
    set(CMAKE_CXX_STANDARD 17)
endif()

#add_compile_definitions(EXTRA_VERBOSE) # Enable for some extra detailed debug output
add_definitions(-DTRANSLATION_DOMAIN="kbibtex")

option(
    BUILD_TESTING
    "Build automated and interactive tests"
    OFF
)
if (MSVC)
    MESSAGE( STATUS "Disabling building tests when using Microsoft Visual Studio C++ compiler" )
    # Note to any developer: Try to enable building tests and see which issues you may encounter.
    # Examples may include: (1) char* texts which exceed the size limit supported by MSVC which
    # is about 2^16 bytes and (2) characters in strings written in \uXXXX notation not supported
    # in 1252 encoding as assumed by MSVC for C++ source files.
    set(BUILD_TESTING OFF)
endif()
if(NOT BUILD_TESTING AND Qt${QT_MAJOR_VERSION}Test_FOUND)
    message(STATUS
        "Testing is disabled, but can be enabled as the Qt::Test library is available"
    )
endif()
if(BUILD_TESTING AND NOT Qt${QT_MAJOR_VERSION}Test_FOUND)
    message(STATUS
        "Disabling building tests as Qt::Test library is not available"
    )
    set(BUILD_TESTING OFF)
endif()

if(BUILD_TESTING)
    add_compile_definitions(BUILD_TESTING)
    if (WRITE_RAWDATAFILE)
        add_compile_definitions(WRITE_RAWDATAFILE)
    endif(WRITE_RAWDATAFILE)

    set(
        TESTSET_DIRECTORY ""
        CACHE PATH
        "Directory where the local checkout of Git repository 'kbibtex-testset' is located"
    )
endif()

if(TESTSET_DIRECTORY AND ( NOT EXISTS "${TESTSET_DIRECTORY}/bib/minix.bib" OR NOT EXISTS "${TESTSET_DIRECTORY}/bib/backslash.bib" ))
    message(STATUS "Variable TESTSET_DIRECTORY is set to '${TESTSET_DIRECTORY}' but various BibTeX files were not found. Unsetting TESTSET_DIRECTORY.")
    unset(TESTSET_DIRECTORY)
    unset(TESTSET_DIRECTORY CACHE)
endif()


option(
    BUILD_SCIHUB
    "Support fetching PDF files from SciHub"
    ON
)
if(BUILD_SCIHUB)
    add_compile_definitions(HAVE_SCIHUB)
endif()


add_subdirectory(
    config
)
add_subdirectory(
    src
)
add_subdirectory(
    mime
)
if(KF${QT_MAJOR_VERSION}DocTools_FOUND)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()

if(KF${QT_MAJOR_VERSION}I18n_FOUND)
    ki18n_install(po)
endif()

install(FILES kbibtex.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/test/CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
# SPDX-FileCopyrightText: 2012-2022 Thomas Fischer <fischer@unix-ag.uni-kl.de>
# SPDX-FileContributor: 2018 David Faure <faure@kde.org>
# SPDX-FileContributor: 2014-2016 Pino Toscano <pino@kde.org>

include(AddFileDependencies)
include(ECMMarkAsTest)

configure_file(test-config.h.in test-config.h @ONLY)

set(
    kbibtextest_SRCS
    main.cpp
    kbibtextest.cpp
)

ecm_qt_declare_logging_category(kbibtextest_SRCS
    HEADER logging_test.h
    IDENTIFIER LOG_KBIBTEX_TEST
    CATEGORY_NAME kbibtex.test
)


set(
    kbibtexnetworkingtest_SRCS
    kbibtexnetworkingtest.cpp
)

set(
    kbibtexiotest_SRCS
    kbibtexiotest.cpp
)

ecm_qt_declare_logging_category(kbibtexiotest_SRCS
    HEADER logging_test.h
    IDENTIFIER LOG_KBIBTEX_TEST
    CATEGORY_NAME kbibtex.test
)

set(
    kbibtexdatatest_SRCS
    kbibtexdatatest.cpp
)

set(
    kbibtexguitest_SRCS
    kbibtexguitest.cpp
)

if(UNITY_BUILD AND NOT WIN32) # FIXME: Unity build of programs breaks on Windows
    enable_unity_build(kbibtextest kbibtextest_SRCS)
    enable_unity_build(kbibtexnetworkingtest kbibtexnetworkingtest_SRCS)
    enable_unity_build(kbibtexiotest kbibtexiotest_SRCS)
    enable_unity_build(kbibtexdatatest kbibtexdatatest_SRCS)
    enable_unity_build(kbibtexguitest kbibtexdatatest_SRCS)
endif(UNITY_BUILD AND NOT WIN32)

add_executable(
    kbibtextest
    ${kbibtextest_SRCS}
)

add_dependencies(kbibtextest
    generate-kbibtex-git-info
)

add_executable(
    kbibtexnetworkingtest
    ${kbibtexnetworkingtest_SRCS}
)

add_dependencies(kbibtexnetworkingtest
    generate-kbibtex-git-info
)

add_executable(
    kbibtexiotest
    ${kbibtexiotest_SRCS}
)

add_dependencies(kbibtexiotest
    generate-kbibtex-git-info
)

add_executable(
    kbibtexdatatest
    ${kbibtexdatatest_SRCS}
)

add_dependencies(kbibtexdatatest
    generate-kbibtex-git-info
)

add_executable(
    kbibtexguitest
    ${kbibtexguitest_SRCS}
)

add_dependencies(kbibtexguitest
    generate-kbibtex-git-info
)

target_link_libraries(kbibtextest
    Qt${QT_MAJOR_VERSION}::Core
    KF${QT_MAJOR_VERSION}::KIOCore
    KF${QT_MAJOR_VERSION}::I18n
    KBibTeX::Config
    KBibTeX::Data
    KBibTeX::IO
    KBibTeX::Processing
    KBibTeX::GUI
    KBibTeX::Networking
)

target_include_directories(kbibtextest
    PRIVATE
        ${CMAKE_BINARY_DIR}
)

target_link_libraries(kbibtexnetworkingtest
    PRIVATE
        Qt${QT_MAJOR_VERSION}::Test
        KBibTeX::Networking
)

target_include_directories(kbibtexnetworkingtest
    PRIVATE
        ${CMAKE_BINARY_DIR}
)

target_link_libraries(kbibtexiotest
    PRIVATE
        Qt${QT_MAJOR_VERSION}::Test
        KF${QT_MAJOR_VERSION}::I18n
        KF${QT_MAJOR_VERSION}::ConfigCore
        KBibTeX::IO
        ICU::uc
        ICU::i18n
)

# FIXME get rid of Qt6Core5Compat
if(Qt6Core5Compat_FOUND)
    target_link_libraries(kbibtexiotest
        PRIVATE
            Qt6::Core5Compat
    )
endif()

target_include_directories(kbibtexiotest
    PRIVATE
        ${CMAKE_BINARY_DIR}
)

target_link_libraries(kbibtexdatatest
    PRIVATE
        Qt${QT_MAJOR_VERSION}::Test
        KBibTeX::Data
        KBibTeX::IO
)

target_include_directories(kbibtexdatatest
    PRIVATE
        ${CMAKE_BINARY_DIR}
)

target_link_libraries(kbibtexguitest
    PRIVATE
        Qt${QT_MAJOR_VERSION}::Test
        KF${QT_MAJOR_VERSION}::ConfigCore
        KBibTeX::Global
        KBibTeX::Data
        KBibTeX::GUI
)

target_include_directories(kbibtexguitest
    PRIVATE
        ${CMAKE_BINARY_DIR}
)

ecm_mark_as_test(
    kbibtexnetworkingtest
    kbibtexiotest
    kbibtexdatatest
    kbibtexguitest
)

add_test(
    NAME
    kbibtexnetworkingtest
    COMMAND
    kbibtexnetworkingtest
)

add_test(
    NAME
    kbibtexiotest
    COMMAND
    kbibtexiotest
)

add_test(
    NAME
    kbibtexdatatest
    COMMAND
    kbibtexdatatest
)

add_test(
    NAME
    kbibtexguitest
    COMMAND
    kbibtexguitest
)

if(TESTSET_DIRECTORY)
    set(
        kbibtexfilestest_SRCS
        kbibtexfilestest.cpp
        kbibtexfilestest-rawdata.h
    )
    ecm_qt_declare_logging_category(kbibtexfilestest_SRCS
        HEADER logging_test.h
        IDENTIFIER LOG_KBIBTEX_TEST
        CATEGORY_NAME kbibtex.test
    )
    if(UNITY_BUILD AND NOT WIN32) # FIXME: Unity build of programs breaks on Windows
        enable_unity_build(kbibtexfilestest kbibtexfilestest_SRCS)
    endif()
    add_executable(
        kbibtexfilestest
        ${kbibtexfilestest_SRCS}
    )
    add_dependencies(kbibtexfilestest
        generate-kbibtex-git-info
    )
    target_link_libraries(kbibtexfilestest
        PRIVATE
            Qt${QT_MAJOR_VERSION}::Test
            KBibTeX::Data
            KBibTeX::IO
    )
    target_include_directories(kbibtexfilestest
        PRIVATE
            ${CMAKE_BINARY_DIR}
    )
    ecm_mark_as_test(
        kbibtexfilestest
    )
    add_test(
        NAME
        kbibtexfilestest
        COMMAND
        kbibtexfilestest
    )
endif()

=== debian/changelog ===
kbibtex (0.10.0+p24.04+vunstable+git20251111.0019-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Nov 2025 00:19:24 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	# drop the spurious RUNPATH
 	chrpath -d debian/kbibtex/usr/bin/*
 	chrpath -d debian/kbibtex/usr/lib/*/libkbibtex*.so.*
-	chrpath -d debian/kbibtex/usr/lib/*/qt5/plugins/kbibtexpart.so
+	chrpath -d debian/kbibtex/usr/lib/*/qt5/plugins/kf5/parts/kbibtexpart.so
 
 override_dh_auto_test:
 	# the unit tests fail ATM

## kbibtex 0.10.0+p24.04+vunstable+git20260122.0308

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # SPDX-FileContributor: 2015-2021 David Faure <faure@kde.org>
 # SPDX-FileContributor: 2016-2021 Andreas Sturmlechner <andreas.sturmlechner@gmail.com>
 
-cmake_minimum_required(VERSION 3.16.0 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.16.0)
 
 project(
     kbibtex

=== debian/changelog ===
kbibtex (0.10.0+p24.04+vunstable+git20260122.0308-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 03:08:18 +0000

## kbibtex 0.10.0+p24.04+vunstable+git20260202.0940

=== debian/changelog ===
kbibtex (0.10.0+p24.04+vunstable+git20260202.0940-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 09:40:25 +0000
